# 39. Мутація: Встановити власні колірні схеми для вибраних "GeoMaps"

Встановіть користувацькі кольорові схеми для шарів даних: "ZonesMaps", "SoilDatasets".&#x20;

Підтримка інших шарів даних ("YieldDataset", "TopographyMaps", "SatelliteImages") буде додана.

Оновіть всі атрибути "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    опис
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Оновити лише кольорові схеми "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    опис
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**ВАЖЛИВО** пункти, щоб дізнатися, як використовувати мутацію:

1. Атрибути `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, та `shortName` є обов'язковими для ідентифікації правильного "GeoMap" для внесення змін. Всі ці три атрибути разом відображають унікальність "GeoMap".
2. Або `soilDatasetUuid` або `vectorAnalysisMapUuid` атрибут має бути використаний для одного вводу "GeoMap".
3. Значення `shortName` повинно бути таким же, як у початковому "GeoMap". Воно не підлягає редагуванню.
4. Атрибути `fullName`, `опис`, `hexColorCodes` редагуються для "ZonesMaps" і можуть бути змінені. Зміни не застосовуються, якщо атрибут не згадується.
5. Атрибути `fullName`, `опис`, `classes`, `hexColorCodes` редагуються для "SoilDatasets" і можуть бути змінені. Зміни не застосовуються, якщо атрибут не згадується.
6. Масиви `classes` та `hexColorCodes`  повинні мати точно таку ж довжину, як у початковому "GeoMap".
7. Довжина масивів "GeoMaps" у запиті та відповіді має бути однаковою. Якщо ні, деякі "GeoMaps" не були успішно відредаговані.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/39.-mutaciya-vstanoviti-vlasni-kolirni-skhemi-dlya-vibranikh-geomaps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
